Browse code

toybox: make it non-conflicting

Avoid toybox conflicts with other packages by not
packaging (make it %ghost) conflicting toys.

It will allow to install packages such as grep
while toybox is installed. In this case grep rpm
will overwrite grep toys symlinks by real files.
When grep get removed toybox will recreate grep
toys symlinks. For that reason toybox spec file
has bunch of triggers (%triggerpostun -- ...).

Only toys which are toybox specific are packaged
to toybox RPM

Added toybox-toys tool to recreate toys, remove toys
and to get statistic about how much toys are in use.

Change-Id: I06d4910689299cd4abf248894c5679d198b18742
Reviewed-on: http://photon-jenkins.eng.vmware.com:8082/9560
Tested-by: gerrit-photon <photon-checkins@vmware.com>
Reviewed-by: Anish Swaminathan <anishs@vmware.com>

Alexey Makhalov authored on 2020/04/17 05:07:11
Showing 21 changed files
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:        Contains programs for compressing and decompressing files
2 2
 Name:           bzip2
3 3
 Version:        1.0.8
4
-Release:        2%{?dist}
4
+Release:        3%{?dist}
5 5
 License:        BSD
6 6
 URL:            http://www.bzip.org/
7 7
 Group:          System Environment/Base
... ...
@@ -12,7 +12,7 @@ Provides:       libbz2.so.1()(64bit)
12 12
 %define sha1 bzip2=bf7badf7e248e0ecf465d33c2f5aeec774209227
13 13
 Patch0:         http://www.linuxfromscratch.org/patches/lfs/7.2/bzip2-1.0.6-install_docs-1.patch
14 14
 Requires:       bzip2-libs = %{version}-%{release}
15
-Conflicts:      toybox
15
+Conflicts:      toybox < 0.8.2-2
16 16
 
17 17
 %description
18 18
 The Bzip2 package contains programs for compressing and
... ...
@@ -99,6 +99,8 @@ make %{?_smp_mflags} check
99 99
 %{_lib}/libbz2.so.*
100 100
 
101 101
 %changelog
102
+*   Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 1.0.8-3
103
+-   Do not conflict with toybox >= 0.8.2-2
102 104
 *   Tue Nov 26 2019 Alexey Makhalov <amakhalov@vmware.com> 1.0.8-2
103 105
 -   Cross compilation support
104 106
 *   Fri Oct 18 2019 Shreyas B <shreyasb@vmware.com> 1.0.8-1
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:	Basic system utilities
2 2
 Name:		coreutils
3 3
 Version:	8.30
4
-Release:	3%{?dist}
4
+Release:	4%{?dist}
5 5
 License:	GPLv3
6 6
 URL:		http://www.gnu.org/software/coreutils
7 7
 Group:		System Environment/Base
... ...
@@ -18,7 +18,7 @@ Patch1:         make-check-failure.patch
18 18
 %endif
19 19
 Requires:	gmp
20 20
 Provides:	sh-utils
21
-Conflicts:      toybox
21
+Conflicts:      toybox < 0.8.2-2
22 22
 %description
23 23
 The Coreutils package contains utilities for showing and setting
24 24
 the basic system
... ...
@@ -87,6 +87,8 @@ make NON_ROOT_USERNAME=nobody check
87 87
 %defattr(-,root,root)
88 88
 
89 89
 %changelog
90
+* Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 8.30-4
91
+- Do not conflict with toybox >= 0.8.2-2
90 92
 * Fri Nov 01 2019 Alexey Makhalov <amakhalov@vmware.com> 8.30-3
91 93
 - Cross compilation support
92 94
 * Thu Sep 12 2019 Prashant Singh Chauhan <psinghchauha@vmware.com> 8.30-2
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:	cpio-2.12
2 2
 Name:		cpio
3 3
 Version:	2.12
4
-Release:	4%{?dist}
4
+Release:	5%{?dist}
5 5
 License:	GPLv3+
6 6
 URL:		http://www.gnu.org/software/cpio/
7 7
 Group:		System Environment/System utilities
... ...
@@ -9,7 +9,7 @@ Vendor:		VMware, Inc.
9 9
 Distribution: 	Photon
10 10
 Source0:	http://ftp.gnu.org/pub/gnu/cpio/%{name}-%{version}.tar.bz2
11 11
 %define sha1 cpio=60358408c76db354f6716724c4bcbcb6e18ab642
12
-Conflicts:      toybox
12
+Conflicts:      toybox < 0.8.2-2
13 13
 %description
14 14
 The cpio package contains tools for archiving.
15 15
 
... ...
@@ -54,6 +54,8 @@ make %{?_smp_mflags} check
54 54
 %defattr(-,root,root)
55 55
 
56 56
 %changelog
57
+* Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 2.12-5
58
+- Do not conflict with toybox >= 0.8.2-2
57 59
 * Mon Oct 02 2017 Alexey Makhalov <amakhalov@vmware.com> 2.12-4
58 60
 - Added conflicts toybox
59 61
 * Tue May 02 2017 Anish Swaminathan <anishs@vmware.com> 2.12-3
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:	Programs that show the differences between files or directories
2 2
 Name:		diffutils
3 3
 Version:	3.6
4
-Release:	2%{?dist}
4
+Release:	3%{?dist}
5 5
 License:	GPLv3+
6 6
 URL:		http://www.gnu.org/software/diffutils
7 7
 Group:		System Environment/Base
... ...
@@ -10,7 +10,7 @@ Distribution:	Photon
10 10
 Source0:	http://ftp.gnu.org/gnu/diffutils/%{name}-%{version}.tar.xz
11 11
 %define sha1 diffutils=1287a553868b808ebfff3790a5cdc6fdf7cb2886
12 12
 BuildRequires:  coreutils
13
-Conflicts:      toybox
13
+Conflicts:      toybox < 0.8.2-2
14 14
 
15 15
 %description
16 16
 The Diffutils package contains programs that show the
... ...
@@ -41,6 +41,8 @@ make %{?_smp_mflags} check
41 41
 %{_mandir}/*/*
42 42
 
43 43
 %changelog
44
+*       Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 3.6-3
45
+-       Do not conflict with toybox >= 0.8.2-2
44 46
 *       Tue Oct 2 2018 Michelle Wang <michellew@vmware.com> 3.6-2
45 47
 -       Add conflicts toybox.
46 48
 *       Fri Aug 03 2018 Srivatsa S. Bhat <srivatsa@csail.mit.edu> 3.6-1
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:        Contains the utilities for the ext2 file system
2 2
 Name:           e2fsprogs
3 3
 Version:        1.45.5
4
-Release:        1%{?dist}
4
+Release:        2%{?dist}
5 5
 License:        GPLv2+
6 6
 URL:            http://e2fsprogs.sourceforge.net
7 7
 Group:          System Environment/Base
... ...
@@ -10,7 +10,7 @@ Distribution:   Photon
10 10
 Source0:        http://prdownloads.sourceforge.net/e2fsprogs/%{name}-%{version}.tar.gz
11 11
 %define sha1    e2fsprogs=7c63cfe34319aa90de6f6cf76e17f40248f68802
12 12
 Requires:       %{name}-libs = %{version}-%{release}
13
-Conflicts:      toybox
13
+Conflicts:      toybox < 0.8.2-2
14 14
 BuildRequires:  util-linux-devel
15 15
 Requires:       util-linux-libs
16 16
 
... ...
@@ -130,6 +130,8 @@ make %{?_smp_mflags} check
130 130
 %defattr(-,root,root)
131 131
 
132 132
 %changelog
133
+*   Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 1.45.5-2
134
+-   Do not conflict with toybox >= 0.8.2-2
133 135
 *   Mon Jan 27 2020 Shreyas B. <shreyasb@vmware.com> 1.45.5-1
134 136
 -   Make devel depend on the version-release instead of version alone.
135 137
 -   Upgrade to v1.45.5.
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:        Contains a utility for determining file types
2 2
 Name:           file
3 3
 Version:        5.34
4
-Release:        2%{?dist}
4
+Release:        3%{?dist}
5 5
 License:        BSD
6 6
 URL:            http://www.darwinsys.com/file
7 7
 Group:          Applications/File
... ...
@@ -11,7 +11,7 @@ Source0:        ftp://ftp.astron.com/pub/file/%{name}-%{version}.tar.gz
11 11
 %define sha1    file=509e30ad0e0d74fa4040a28ce4667486cfe2170c
12 12
 Patch0:		CVE-2019-18218.patch
13 13
 Requires:       %{name}-libs = %{version}-%{release}
14
-Conflicts:      toybox
14
+Conflicts:      toybox < 0.8.2-2
15 15
 %description
16 16
 The package contains a utility for determining the type of a
17 17
 given file or files
... ...
@@ -61,6 +61,8 @@ make %{?_smp_mflags} check
61 61
 %{_mandir}/*man3/*
62 62
 
63 63
 %changelog
64
+*   Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 5.34-3
65
+-   Do not conflict with toybox >= 0.8.2-2
64 66
 *   Tue Oct 29 2019 Siju Maliakkal <smaliakkal@vmware.com> 5.34-2
65 67
 -   Apply patch for CVE-2019-18218
66 68
 *   Thu Sep 20 2018 Sujay G <gsujay@vmware.com> 5.34-1
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:	This package contains programs to find files
2 2
 Name:		findutils
3 3
 Version:	4.6.0
4
-Release:	5%{?dist}
4
+Release:	6%{?dist}
5 5
 License:	GPLv3+
6 6
 URL:		http://www.gnu.org/software/findutils
7 7
 Group:		Applications/File
... ...
@@ -9,7 +9,7 @@ Vendor:		VMware, Inc.
9 9
 Distribution: 	Photon
10 10
 Source0:	http://ftp.gnu.org/gnu/findutils/%{name}-%{version}.tar.gz
11 11
 %define sha1 findutils=f18e8aaee3f3d4173a1f598001003be8706d28b0
12
-Conflicts:      toybox
12
+Conflicts:      toybox < 0.8.2-2
13 13
 %description
14 14
 These programs are provided to recursively search through a
15 15
 directory tree and to create, maintain, and search a database
... ...
@@ -61,6 +61,8 @@ make %{?_smp_mflags} check
61 61
 %defattr(-,root,root)
62 62
 
63 63
 %changelog
64
+* Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 4.6.0-6
65
+- Do not conflict with toybox >= 0.8.2-2
64 66
 * Sun Sep 09 2018 Alexey Makhalov <amakhalov@vmware.com> 4.6.0-5
65 67
 - Fix compilation issue against glibc-2.28
66 68
 * Mon Oct 02 2017 Alexey Makhalov <amakhalov@vmware.com> 4.6.0-4
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:	Programs for searching through files
2 2
 Name:		grep
3 3
 Version:	3.1
4
-Release:	2%{?dist}
4
+Release:	3%{?dist}
5 5
 License:	GPLv3+
6 6
 URL:		http://www.gnu.org/software/grep
7 7
 Group:		Applications/File
... ...
@@ -9,7 +9,7 @@ Vendor:		VMware, Inc.
9 9
 Distribution: Photon
10 10
 Source0:	http://ftp.gnu.org/gnu/grep/%{name}-%{version}.tar.xz
11 11
 %define sha1 grep=d1d677e959c7d874e18e7e3839f26a0f0c1733d5
12
-Conflicts:      toybox
12
+Conflicts:      toybox < 0.8.2-2
13 13
 %description
14 14
 The Grep package contains programs for searching through files.
15 15
 
... ...
@@ -46,6 +46,8 @@ make  %{?_smp_mflags} check
46 46
 %defattr(-,root,root)
47 47
 
48 48
 %changelog
49
+* Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 3.1-3
50
+- Do not conflict with toybox >= 0.8.2-2
49 51
 * Mon Aug 26 2019 Prashant Singh Chauhan <psinghchauha@vmware.com> 3.1-2
50 52
 - Fix for make check failure
51 53
 * Wed Sep 12 2018 Anish Swaminathan <anishs@vmware.com> 3.1-1
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:	Key table files, console fonts, and keyboard utilities
2 2
 Name:		kbd
3 3
 Version:	2.0.4
4
-Release:	3%{?dist}
4
+Release:	4%{?dist}
5 5
 License:	GPLv2
6 6
 URL:		http://ftp.altlinux.org/pub/people/legion/kbd
7 7
 Group:		Applications/System
... ...
@@ -11,7 +11,7 @@ Source0:	http://ftp.altlinux.org/pub/people/legion/kbd/%{name}-%{version}.tar.xz
11 11
 %define sha1 kbd=cf5d45c62d6af70b8b1f210d89193b52f5efb05d
12 12
 Patch0:		kbd-2.0.4-backspace-1.patch
13 13
 BuildRequires:	check >= 0.9.4
14
-Conflicts:      toybox
14
+Conflicts:      toybox < 0.8.2-2
15 15
 
16 16
 %description
17 17
 The Kbd package contains key-table files, console fonts, and keyboard utilities.
... ...
@@ -50,6 +50,8 @@ make %{?_smp_mflags} check
50 50
 %{_mandir}/*/*
51 51
 
52 52
 %changelog
53
+*   Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 2.0.4-4
54
+-   Do not conflict with toybox >= 0.8.2-2
53 55
 *   Tue Oct 2 2018 Michelle Wang <michellew@vmware.com> 2.0.4-3
54 56
 -   Add conflict toybox.
55 57
 *   Mon Sep 11 2017 Anish Swaminathan <anishs@vmware.com> 2.0.4-2
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:	Networking Tools
2 2
 Name:		net-tools
3 3
 Version:	1.60
4
-Release:	11%{?dist}
4
+Release:	12%{?dist}
5 5
 License:	GPLv2+
6 6
 URL:		http://net-tools.sourceforge.net
7 7
 Group:		System Environment/Base
... ...
@@ -41,7 +41,7 @@ Patch28:	Bug#561161-statistics.c-long_numbers.patch
41 41
 Patch29:	Bug#508110-inet6.c-initialize_fields.patch
42 42
 Patch30:	Ubuntu_unit_conversion.patch
43 43
 Obsoletes:	inetutils 
44
-Conflicts:      toybox
44
+Conflicts:      toybox < 0.8.2-2
45 45
 %description
46 46
 The Net-tools package is a collection of programs for controlling the network subsystem of the Linux kernel. 
47 47
 %prep
... ...
@@ -105,6 +105,8 @@ rm -rf %{buildroot}/*
105 105
 %{_mandir}/man8/*
106 106
 
107 107
 %changelog
108
+*   Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 1.60-12
109
+-   Do not conflict with toybox >= 0.8.2-2
108 110
 *   Mon Oct 02 2017 Alexey Makhalov <amakhalov@vmware.com> 1.60-11
109 111
 -   Added conflicts toybox
110 112
 *   Wed Dec 14 2016 Alexey Makhalov <amakhalov@vmware.com> 1.60-10
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:        GNU Parted manipulates partition tables
2 2
 Name:           parted
3 3
 Version:        3.2
4
-Release:        7%{?dist}
4
+Release:        8%{?dist}
5 5
 License:        GPLv3+
6 6
 URL:            http://ftp.gnu.org/gnu/parted/parted-3.2.tar.xz
7 7
 Group:          Applications/System
... ...
@@ -9,7 +9,7 @@ Vendor:         VMware, Inc.
9 9
 Distribution:   Photon
10 10
 Source0:        http://ftp.gnu.org/gnu/parted/%{name}-%{version}.tar.xz
11 11
 %define sha1 parted=8cabb2d6789badec15c857dcc003d0dd931a818b
12
-Conflicts:      toybox
12
+Conflicts:      toybox < 0.8.2-2
13 13
 
14 14
 %description
15 15
 This is useful for creating space for new operating systems,
... ...
@@ -46,6 +46,8 @@ make DESTDIR=%{buildroot} install
46 46
 %{_datadir}/*
47 47
 
48 48
 %changelog
49
+*  Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 3.2-8
50
+-  Do not conflict with toybox >= 0.8.2-2
49 51
 *  Tue Oct 2 2018 Michelle Wang <michellew@vmware.com> 3.2-7
50 52
 -  Add conflict toybox.
51 53
 *  Sun Sep 09 2018 Alexey Makhalov <amakhalov@vmware.com> 3.2-6
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:        Program for modifying or creating files
2 2
 Name:           patch
3 3
 Version:        2.7.6
4
-Release:        4%{?dist}
4
+Release:        5%{?dist}
5 5
 License:        GPLv3+
6 6
 URL:            http://www.gnu.org/software/%{name}
7 7
 Source0:        ftp://ftp.gnu.org/gnu/patch/%{name}-%{version}.tar.gz
... ...
@@ -14,7 +14,7 @@ Patch4:         CVE-2019-13638.patch
14 14
 Group:          Development/Tools
15 15
 Vendor:         VMware, Inc.
16 16
 Distribution:   Photon
17
-Conflicts:      toybox
17
+Conflicts:      toybox < 0.8.2-2
18 18
 
19 19
 %description
20 20
 Program for modifying or creating files by applying a patch
... ...
@@ -45,6 +45,8 @@ make  %{?_smp_mflags} check
45 45
 %{_mandir}/*/*
46 46
 
47 47
 %changelog
48
+*   Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 2.7.6-5
49
+-   Do not conflict with toybox >= 0.8.2-2
48 50
 *   Thu Aug 08 2019 Shreenidhi Shedi <sshedi@vmware.com> 2.7.6-4
49 51
 -   Apply patch for CVE-2019-13636, CVE-2019-13638
50 52
 *   Mon Nov 19 2018 Siju Maliakkal <smaliakkal@vmware.com> 2.7.6-3
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:        Programs for monitoring processes
2 2
 Name:           procps-ng
3 3
 Version:        3.3.15
4
-Release:        2%{?dist}
4
+Release:        3%{?dist}
5 5
 License:        GPLv2
6 6
 URL:            http://procps.sourceforge.net/
7 7
 Group:          Applications/System
... ...
@@ -11,7 +11,7 @@ Source0:        http://sourceforge.net/projects/procps-ng/files/Production/%{nam
11 11
 %define sha1    procps-ng=2929bc64f0cf7b2db997eef79b7187658e47230d
12 12
 BuildRequires:  ncurses-devel
13 13
 Requires:       ncurses
14
-Conflicts:      toybox
14
+Conflicts:      toybox < 0.8.2-2
15 15
 %description
16 16
 The Procps package contains programs for monitoring processes.
17 17
 %package    devel
... ...
@@ -103,6 +103,8 @@ make %{?_smp_mflags} check
103 103
 %defattr(-,root,root)
104 104
 
105 105
 %changelog
106
+*   Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 3.3.15-3
107
+-   Do not conflict with toybox >= 0.8.2-2
106 108
 *   Thu Nov 15 2018 Alexey Makhalov <amakhalov@vmware.com> 3.3.15-2
107 109
 -   Cross compilation support
108 110
 *   Fri Aug 10 2018 Tapas Kundu <tkundu@vmware.com> 3.3.15-1
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:	Stream editor
2 2
 Name:		sed
3 3
 Version:	4.5
4
-Release:	1%{?dist}
4
+Release:	2%{?dist}
5 5
 License:	GPLv3
6 6
 URL:		http://www.gnu.org/software/sed
7 7
 Group:		Applications/Editors
... ...
@@ -9,7 +9,7 @@ Vendor:		VMware, Inc.
9 9
 Distribution:	Photon
10 10
 Source0:	http://ftp.gnu.org/gnu/sed/%{name}-%{version}.tar.xz
11 11
 %define sha1 sed=6635c344956ef928cc33aca798ad20c6c1ea25f7
12
-Conflicts:      toybox
12
+Conflicts:      toybox < 0.8.2-2
13 13
 
14 14
 %description
15 15
 The Sed package contains a stream editor.
... ...
@@ -51,6 +51,8 @@ make check
51 51
 %defattr(-,root,root)
52 52
 
53 53
 %changelog
54
+* Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 4.5-2
55
+- Do not conflict with toybox >= 0.8.2-2
54 56
 * Tue Sep 18 2018 Srinidhi Rao <srinidhir@vmware.com> 4.5-1
55 57
 - Updating to version 4.5
56 58
 * Mon Oct 02 2017 Alexey Makhalov <amakhalov@vmware.com> 4.4-3
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:        Programs for handling passwords in a secure way
2 2
 Name:           shadow
3 3
 Version:        4.6
4
-Release:        4%{?dist}
4
+Release:        5%{?dist}
5 5
 URL:            https://github.com/shadow-maint/
6 6
 License:        BSD
7 7
 Group:          Applications/System
... ...
@@ -36,7 +36,7 @@ in a secure way.
36 36
 Summary:     Contains subset of tools which might be replaced by toybox
37 37
 Group:       Applications/System
38 38
 Requires:    %{name} = %{version}-%{release}
39
-Conflicts:   toybox
39
+Conflicts:   toybox < 0.8.2-2
40 40
 %description tools
41 41
 Contains subset of tools which might be replaced by toybox
42 42
 
... ...
@@ -169,6 +169,8 @@ make %{?_smp_mflags} check
169 169
 %defattr(-,root,root)
170 170
 
171 171
 %changelog
172
+*   Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 4.6-5
173
+-   Do not conflict with toybox >= 0.8.2-2
172 174
 *   Thu Nov 15 2018 Alexey Makhalov <amakhalov@vmware.com> 4.6-4
173 175
 -   Cross compilation support
174 176
 *   Wed Oct 24 2018 Michelle Wang <michellew@vmware.com> 4.6-3
... ...
@@ -1,7 +1,7 @@
1 1
 #
2 2
 # Automatically generated make config: don't edit
3 3
 # ToyBox version: KCONFIG_VERSION
4
-# Thu Oct 31 00:31:06 2019
4
+# Thu Apr 16 00:51:56 2020
5 5
 #
6 6
 CONFIG_TOYBOX_CONTAINER=y
7 7
 CONFIG_TOYBOX_FIFREEZE=y
... ...
@@ -13,7 +13,7 @@ CONFIG_TOYBOX_SHADOW=y
13 13
 # CONFIG_TOYBOX_ANDROID_SCHEDPOLICY is not set
14 14
 CONFIG_TOYBOX_FORK=y
15 15
 CONFIG_TOYBOX_PRLIMIT=y
16
-CONFIG_TOYBOX_GETRANDOM=y
16
+# CONFIG_TOYBOX_GETRANDOM is not set
17 17
 
18 18
 #
19 19
 # Posix commands
... ...
@@ -90,9 +90,9 @@ CONFIG_SORT_FLOAT=y
90 90
 CONFIG_SPLIT=y
91 91
 # CONFIG_STRINGS is not set
92 92
 CONFIG_TAIL=y
93
-# CONFIG_TAR is not set
93
+CONFIG_TAR=y
94 94
 CONFIG_TEE=y
95
-# CONFIG_TEST is not set
95
+CONFIG_TEST=y
96 96
 CONFIG_TIME=y
97 97
 CONFIG_TOUCH=y
98 98
 CONFIG_TRUE=y
... ...
@@ -212,14 +212,14 @@ CONFIG_HWCLOCK=y
212 212
 # CONFIG_I2CGET is not set
213 213
 # CONFIG_I2CSET is not set
214 214
 CONFIG_INOTIFYD=y
215
-# CONFIG_INSMOD is not set
215
+CONFIG_INSMOD=y
216 216
 CONFIG_IONICE=y
217 217
 CONFIG_IORENICE=y
218 218
 CONFIG_LOGIN=y
219 219
 CONFIG_LOSETUP=y
220 220
 CONFIG_LSATTR=y
221 221
 CONFIG_CHATTR=y
222
-# CONFIG_LSMOD is not set
222
+CONFIG_LSMOD=y
223 223
 CONFIG_LSPCI=y
224 224
 CONFIG_LSPCI_TEXT=y
225 225
 CONFIG_LSUSB=y
... ...
@@ -228,7 +228,7 @@ CONFIG_MAKEDEVS=y
228 228
 CONFIG_MIX=y
229 229
 CONFIG_MKPASSWD=y
230 230
 CONFIG_MKSWAP=y
231
-# CONFIG_MODINFO is not set
231
+CONFIG_MODINFO=y
232 232
 CONFIG_MOUNTPOINT=y
233 233
 CONFIG_NBD_CLIENT=y
234 234
 # CONFIG_UNSHARE is not set
... ...
@@ -245,7 +245,7 @@ CONFIG_REALPATH=y
245 245
 # CONFIG_REBOOT is not set
246 246
 # CONFIG_RESET is not set
247 247
 CONFIG_REV=y
248
-# CONFIG_RMMOD is not set
248
+CONFIG_RMMOD=y
249 249
 # CONFIG_SETFATTR is not set
250 250
 CONFIG_SETSID=y
251 251
 CONFIG_SHRED=y
... ...
@@ -280,7 +280,7 @@ CONFIG_MICROCOM=y
280 280
 CONFIG_NETCAT=y
281 281
 CONFIG_NETCAT_LISTEN=y
282 282
 CONFIG_NETSTAT=y
283
-# CONFIG_PING is not set
283
+CONFIG_PING=y
284 284
 CONFIG_RFKILL=y
285 285
 # CONFIG_SNTP is not set
286 286
 CONFIG_TUNCTL=y
... ...
@@ -288,10 +288,10 @@ CONFIG_TUNCTL=y
288 288
 #
289 289
 # Linux Standard Base commands
290 290
 #
291
-# CONFIG_DMESG is not set
292
-# CONFIG_GZIP is not set
293
-# CONFIG_GUNZIP is not set
294
-# CONFIG_ZCAT is not set
291
+CONFIG_DMESG=y
292
+CONFIG_GZIP=y
293
+CONFIG_GUNZIP=y
294
+CONFIG_ZCAT=y
295 295
 CONFIG_HOSTNAME=y
296 296
 # CONFIG_DNSDOMAINNAME is not set
297 297
 CONFIG_KILLALL=y
... ...
@@ -350,7 +350,7 @@ CONFIG_TOYBOX_LSM_NONE=y
350 350
 # CONFIG_TOYBOX_SELINUX is not set
351 351
 # CONFIG_TOYBOX_SMACK is not set
352 352
 CONFIG_TOYBOX_LIBCRYPTO=y
353
-# CONFIG_TOYBOX_LIBZ is not set
353
+CONFIG_TOYBOX_LIBZ=y
354 354
 CONFIG_TOYBOX_FLOAT=y
355 355
 CONFIG_TOYBOX_HELP=y
356 356
 CONFIG_TOYBOX_HELP_DASHDASH=y
357 357
new file mode 100644
... ...
@@ -0,0 +1,64 @@
0
+#! /bin/bash
1
+
2
+TB=/bin/toybox
3
+ECHO="$TB echo"
4
+RM="$TB rm"
5
+LN="$TB ln -sf"
6
+READLINK="$TB readlink -f"
7
+
8
+do_help() {
9
+  $ECHO "Usage: $@ [OPTION]..."
10
+  $ECHO "Create and remove toybox symlinks."
11
+  $ECHO "Available options:"
12
+  $ECHO " -h, --help        display help message"
13
+  $ECHO " -i, --install     install symlinks to /bin/toybox"
14
+  $ECHO " -u, --uninstall   uninstall symlinks"
15
+  $ECHO " -s, --stat        show symlinks information"
16
+  exit 0
17
+}
18
+
19
+do_install() {
20
+  for t in $($TB --long); do [ ! -e /$t ] && $LN $TB /$t; done
21
+}
22
+
23
+do_uninstall() {
24
+  toys=""
25
+  for t in $($TB --long); do [[ $($READLINK /$t) == *toybox ]] && toys="$toys /$t"; done
26
+  [ -n "$toys" ] && $RM $toys
27
+}
28
+
29
+do_stat() {
30
+  total_toys=`$TB | $TB wc -w`
31
+  active_toys=0
32
+
33
+  for t in $($TB --long); do [[ $($READLINK /$t) == *toybox ]] && active_toys=$(($active_toys+1)); done
34
+
35
+  percent=$(($active_toys*100/$total_toys))
36
+  $ECHO "$active_toys / $total_toys ($percent%) toys are in use."
37
+}
38
+
39
+[ $# -eq 0 ] && do_help
40
+
41
+while (( "$#" )); do
42
+  case "$1" in
43
+    -h|--help)
44
+      do_help
45
+      ;;
46
+    -i|--install)
47
+      do_install
48
+      ;;
49
+    -u|--uninstall)
50
+      do_uninstall
51
+      ;;
52
+    -s|--stat)
53
+      do_stat
54
+      ;;
55
+    *)
56
+      $ECHO "Error: Unsupported flag $1" >&2
57
+      exit 1
58
+      ;;
59
+  esac
60
+  shift
61
+done
62
+
63
+exit 0
... ...
@@ -1,6 +1,6 @@
1 1
 Name:           toybox
2 2
 Version:        0.8.2
3
-Release:        1%{?dist}
3
+Release:        2%{?dist}
4 4
 License:        BSD
5 5
 Summary:        Common Linux command line utilities in a single executable
6 6
 Url:            http://landley.net/toybox/
... ...
@@ -10,8 +10,9 @@ Distribution:   Photon
10 10
 Source0:        http://landley.net/toybox/downloads/%{name}-%{version}.tar.gz
11 11
 %define sha1 toybox=0477740759f5132397fdfdbf8aea88e811869173
12 12
 Source1:        config-toybox
13
-BuildRequires:  openssl-devel
14
-Requires:       openssl
13
+Source2:        toybox-toys
14
+BuildRequires:  openssl-devel zlib-devel
15
+Requires:       openssl zlib
15 16
 %description
16 17
 Toybox combines common Linux command line utilities together into a single
17 18
 BSD-licensed executable that's simple, small, fast, reasonably
... ...
@@ -28,8 +29,10 @@ cp %{SOURCE1} .config
28 28
 NOSTRIP=1 make CFLAGS="-Wall -Wundef -Wno-char-subscripts -Werror=implicit-function-declaration -g"
29 29
 
30 30
 %install
31
+install -d %{buildroot}/bin
31 32
 PREFIX=%{buildroot} make install
32 33
 chmod 755 %{buildroot}/bin/toybox
34
+install -m 0755 %{SOURCE2} %{buildroot}/bin/toybox-toys
33 35
 
34 36
 %check
35 37
 # Do not run all tests, skip losetup
... ...
@@ -41,20 +44,506 @@ popd
41 41
 tests_to_run=`echo  $tests_to_run | sed -e 's/pkill//g'`
42 42
 ./scripts/test.sh $tests_to_run
43 43
 
44
+%define mktoy() /bin/toybox ln -sf /bin/toybox %1
45
+
46
+%posttrans
47
+/bin/toybox-toys --install
48
+
49
+%preun
50
+/bin/toybox-toys --uninstall
51
+
52
+%triggerpostun -- bzip2
53
+[ $2 -eq 0 ] || exit 0
54
+%mktoy /usr/bin/bunzip2
55
+%mktoy /usr/bin/bzcat
56
+
57
+%triggerpostun -- coreutils
58
+[ $2 -eq 0 ] || exit 0
59
+%mktoy /bin/cat
60
+%mktoy /bin/chgrp
61
+%mktoy /bin/chmod
62
+%mktoy /bin/chown
63
+%mktoy /bin/cksum
64
+%mktoy /bin/cp
65
+%mktoy /bin/date
66
+%mktoy /bin/echo
67
+%mktoy /bin/false
68
+%mktoy /bin/ln
69
+%mktoy /bin/ls
70
+%mktoy /bin/mkdir
71
+%mktoy /bin/mknod
72
+%mktoy /bin/mktemp
73
+%mktoy /bin/mv
74
+%mktoy /bin/nice
75
+%mktoy /bin/printenv
76
+%mktoy /bin/pwd
77
+%mktoy /bin/rm
78
+%mktoy /bin/rmdir
79
+%mktoy /bin/sleep
80
+%mktoy /bin/stat
81
+%mktoy /bin/stty
82
+%mktoy /bin/sync
83
+%mktoy /bin/touch
84
+%mktoy /bin/true
85
+%mktoy /bin/uname
86
+%mktoy /sbin/df
87
+%mktoy /usr/bin/base64
88
+%mktoy /usr/bin/basename
89
+%mktoy /usr/bin/comm
90
+%mktoy /usr/bin/cut
91
+%mktoy /usr/bin/dirname
92
+%mktoy /usr/bin/du
93
+%mktoy /usr/bin/env
94
+%mktoy /usr/bin/expand
95
+%mktoy /usr/bin/factor
96
+%mktoy /usr/bin/groups
97
+%mktoy /usr/bin/head
98
+%mktoy /usr/bin/id
99
+%mktoy /usr/bin/install
100
+%mktoy /usr/bin/link
101
+%mktoy /usr/bin/logname
102
+%mktoy /usr/bin/md5sum
103
+%mktoy /usr/bin/mkfifo
104
+%mktoy /usr/bin/nl
105
+%mktoy /usr/bin/nohup
106
+%mktoy /usr/bin/nproc
107
+%mktoy /usr/bin/od
108
+%mktoy /usr/bin/paste
109
+%mktoy /usr/bin/printf
110
+%mktoy /usr/bin/readlink
111
+%mktoy /usr/bin/realpath
112
+%mktoy /usr/bin/seq
113
+%mktoy /usr/bin/sha1sum
114
+%mktoy /usr/bin/sha224sum
115
+%mktoy /usr/bin/sha256sum
116
+%mktoy /usr/bin/sha384sum
117
+%mktoy /usr/bin/sha512sum
118
+%mktoy /usr/bin/shred
119
+%mktoy /usr/bin/sort
120
+%mktoy /usr/bin/split
121
+%mktoy /usr/bin/tac
122
+%mktoy /usr/bin/tail
123
+%mktoy /usr/bin/tee
124
+%mktoy /usr/bin/test
125
+%mktoy /usr/bin/timeout
126
+%mktoy /usr/bin/truncate
127
+%mktoy /usr/bin/tty
128
+%mktoy /usr/bin/uniq
129
+%mktoy /usr/bin/unlink
130
+%mktoy /usr/bin/wc
131
+%mktoy /usr/bin/who
132
+%mktoy /usr/bin/whoami
133
+%mktoy /usr/bin/yes
134
+%mktoy /usr/sbin/chroot
135
+
136
+%triggerpostun -- cpio
137
+[ $2 -eq 0 ] || exit 0
138
+%mktoy /bin/cpio
139
+
140
+%triggerpostun -- diffutils
141
+[ $2 -eq 0 ] || exit 0
142
+%mktoy /usr/bin/cmp
143
+
144
+%triggerpostun -- expect
145
+[ $2 -eq 0 ] || exit 0
146
+%mktoy /usr/bin/mkpasswd
147
+
148
+%triggerpostun -- e2fsprogs
149
+[ $2 -eq 0 ] || exit 0
150
+%mktoy /bin/chattr
151
+%mktoy /bin/lsattr
152
+
153
+%triggerpostun -- file
154
+[ $2 -eq 0 ] || exit 0
155
+%mktoy /usr/bin/file
156
+
157
+%triggerpostun -- findutils
158
+[ $2 -eq 0 ] || exit 0
159
+%mktoy /usr/bin/find
160
+%mktoy /usr/bin/xargs
161
+
162
+%triggerpostun -- grep
163
+[ $2 -eq 0 ] || exit 0
164
+%mktoy /bin/egrep
165
+%mktoy /bin/fgrep
166
+%mktoy /bin/grep
167
+
168
+%triggerpostun -- gzip
169
+[ $2 -eq 0 ] || exit 0
170
+%mktoy /usr/bin/gunzip
171
+%mktoy /usr/bin/gzip
172
+%mktoy /usr/bin/zcat
173
+
174
+%triggerpostun -- iotop
175
+[ $2 -eq 0 ] || exit 0
176
+%mktoy /usr/bin/iotop
177
+
178
+%triggerpostun -- iputils
179
+[ $2 -eq 0 ] || exit 0
180
+%mktoy /usr/bin/ping
181
+%mktoy /usr/bin/ping6
182
+
183
+%triggerpostun -- kbd
184
+[ $2 -eq 0 ] || exit 0
185
+%mktoy /usr/bin/chvt
186
+
187
+%triggerpostun -- kmod
188
+[ $2 -eq 0 ] || exit 0
189
+%mktoy /sbin/insmod
190
+%mktoy /sbin/lsmod
191
+%mktoy /sbin/modinfo
192
+%mktoy /sbin/rmmod
193
+
194
+%triggerpostun -- netcat
195
+[ $2 -eq 0 ] || exit 0
196
+%mktoy /bin/netcat
197
+%mktoy /usr/bin/nc
198
+
199
+%triggerpostun -- net-tools
200
+[ $2 -eq 0 ] || exit 0
201
+%mktoy /bin/hostname
202
+%mktoy /bin/netstat
203
+%mktoy /sbin/ifconfig
204
+
205
+%triggerpostun -- parted
206
+[ $2 -eq 0 ] || exit 0
207
+%mktoy /sbin/partprobe
208
+
209
+%triggerpostun -- patch
210
+[ $2 -eq 0 ] || exit 0
211
+%mktoy /usr/bin/patch
212
+
213
+%triggerpostun -- pciutils
214
+[ $2 -eq 0 ] || exit 0
215
+%mktoy /usr/bin/lspci
216
+
217
+%triggerpostun -- procps-ng
218
+[ $2 -eq 0 ] || exit 0
219
+%mktoy /bin/pidof
220
+%mktoy /bin/ps
221
+%mktoy /bin/vmstat
222
+%mktoy /sbin/sysctl
223
+%mktoy /usr/bin/free
224
+%mktoy /usr/bin/pgrep
225
+%mktoy /usr/bin/pkill
226
+%mktoy /usr/bin/pmap
227
+%mktoy /usr/bin/pwdx
228
+%mktoy /usr/bin/top
229
+%mktoy /usr/bin/uptime
230
+%mktoy /usr/bin/w
231
+
232
+%triggerpostun -- psmisc
233
+[ $2 -eq 0 ] || exit 0
234
+%mktoy /usr/bin/killall
235
+
236
+%triggerpostun -- sed
237
+[ $2 -eq 0 ] || exit 0
238
+%mktoy /bin/sed
239
+
240
+%triggerpostun -- shadow-tools
241
+[ $2 -eq 0 ] || exit 0
242
+%mktoy /bin/login
243
+%mktoy /bin/su
244
+%mktoy /usr/bin/passwd
245
+
246
+%triggerpostun -- tar
247
+[ $2 -eq 0 ] || exit 0
248
+%mktoy /usr/bin/tar
249
+
250
+%triggerpostun -- usbutils
251
+[ $2 -eq 0 ] || exit 0
252
+%mktoy /usr/bin/lsusb
253
+
254
+%triggerpostun -- util-linux
255
+[ $2 -eq 0 ] || exit 0
256
+%mktoy /bin/blkid
257
+%mktoy /bin/dmesg
258
+%mktoy /bin/kill
259
+%mktoy /bin/mount
260
+%mktoy /bin/mountpoint
261
+%mktoy /bin/umount
262
+%mktoy /sbin/blockdev
263
+%mktoy /sbin/hwclock
264
+%mktoy /sbin/losetup
265
+%mktoy /sbin/mkswap
266
+%mktoy /sbin/pivot_root
267
+%mktoy /sbin/swapoff
268
+%mktoy /sbin/swapon
269
+%mktoy /sbin/switch_root
270
+%mktoy /usr/bin/cal
271
+%mktoy /usr/bin/eject
272
+%mktoy /usr/bin/fallocate
273
+%mktoy /usr/bin/flock
274
+%mktoy /usr/bin/ionice
275
+%mktoy /usr/bin/renice
276
+%mktoy /usr/bin/rev
277
+%mktoy /usr/bin/setsid
278
+%mktoy /usr/bin/taskset
279
+%mktoy /usr/sbin/fsfreeze
280
+%mktoy /usr/sbin/rfkill
281
+
282
+%triggerpostun -- vim-extra
283
+[ $2 -eq 0 ] || exit 0
284
+%mktoy /usr/bin/xxd
285
+
286
+%triggerpostun -- which
287
+[ $2 -eq 0 ] || exit 0
288
+%mktoy /usr/bin/which
289
+
44 290
 %files
45 291
 %defattr(-,root,root)
46 292
 %doc README LICENSE
47
-/bin/*
48
-/sbin/*
49
-%{_bindir}/*
50
-%{_sbindir}/*
293
+/bin/toybox
294
+/bin/toybox-toys
295
+
296
+# bzip2
297
+%ghost /usr/bin/bunzip2
298
+%ghost /usr/bin/bzcat
299
+
300
+# coreutils
301
+%ghost /bin/cat
302
+%ghost /bin/chgrp
303
+%ghost /bin/chmod
304
+%ghost /bin/chown
305
+%ghost /bin/cksum
306
+%ghost /bin/cp
307
+%ghost /bin/date
308
+%ghost /bin/echo
309
+%ghost /bin/false
310
+%ghost /bin/ln
311
+%ghost /bin/ls
312
+%ghost /bin/mkdir
313
+%ghost /bin/mknod
314
+%ghost /bin/mktemp
315
+%ghost /bin/mv
316
+%ghost /bin/nice
317
+%ghost /bin/printenv
318
+%ghost /bin/pwd
319
+%ghost /bin/rm
320
+%ghost /bin/rmdir
321
+%ghost /bin/sleep
322
+%ghost /bin/stat
323
+%ghost /bin/stty
324
+%ghost /bin/sync
325
+%ghost /bin/touch
326
+%ghost /bin/true
327
+%ghost /bin/uname
328
+%ghost /sbin/df
329
+%ghost /usr/bin/base64
330
+%ghost /usr/bin/basename
331
+%ghost /usr/bin/comm
332
+%ghost /usr/bin/cut
333
+%ghost /usr/bin/dirname
334
+%ghost /usr/bin/du
335
+%ghost /usr/bin/env
336
+%ghost /usr/bin/expand
337
+%ghost /usr/bin/factor
338
+%ghost /usr/bin/groups
339
+%ghost /usr/bin/head
340
+%ghost /usr/bin/id
341
+%ghost /usr/bin/install
342
+%ghost /usr/bin/link
343
+%ghost /usr/bin/logname
344
+%ghost /usr/bin/md5sum
345
+%ghost /usr/bin/mkfifo
346
+%ghost /usr/bin/nl
347
+%ghost /usr/bin/nohup
348
+%ghost /usr/bin/nproc
349
+%ghost /usr/bin/od
350
+%ghost /usr/bin/paste
351
+%ghost /usr/bin/printf
352
+%ghost /usr/bin/readlink
353
+%ghost /usr/bin/realpath
354
+%ghost /usr/bin/seq
355
+%ghost /usr/bin/sha1sum
356
+%ghost /usr/bin/sha224sum
357
+%ghost /usr/bin/sha256sum
358
+%ghost /usr/bin/sha384sum
359
+%ghost /usr/bin/sha512sum
360
+%ghost /usr/bin/shred
361
+%ghost /usr/bin/sort
362
+%ghost /usr/bin/split
363
+%ghost /usr/bin/tac
364
+%ghost /usr/bin/tail
365
+%ghost /usr/bin/tee
366
+%ghost /usr/bin/test
367
+%ghost /usr/bin/timeout
368
+%ghost /usr/bin/truncate
369
+%ghost /usr/bin/tty
370
+%ghost /usr/bin/uniq
371
+%ghost /usr/bin/unlink
372
+%ghost /usr/bin/wc
373
+%ghost /usr/bin/who
374
+%ghost /usr/bin/whoami
375
+%ghost /usr/bin/yes
376
+%ghost /usr/sbin/chroot
377
+
378
+# cpio
379
+%ghost /bin/cpio
380
+
381
+# diffutils
382
+%ghost /usr/bin/cmp
383
+
384
+# expect
385
+%ghost /usr/bin/mkpasswd
386
+
387
+# e2fsprogs
388
+%ghost /bin/chattr
389
+%ghost /bin/lsattr
390
+
391
+# file
392
+%ghost /usr/bin/file
393
+
394
+# findutils
395
+%ghost /usr/bin/find
396
+%ghost /usr/bin/xargs
397
+
398
+# grep
399
+%ghost /bin/egrep
400
+%ghost /bin/fgrep
401
+%ghost /bin/grep
402
+
403
+# gzip
404
+%ghost /usr/bin/gunzip
405
+%ghost /usr/bin/gzip
406
+%ghost /usr/bin/zcat
407
+
408
+# iotop
409
+%ghost /usr/bin/iotop
410
+
411
+# iputils
412
+%ghost /usr/bin/ping
413
+%ghost /usr/bin/ping6
414
+
415
+# kbd
416
+%ghost /usr/bin/chvt
417
+
418
+# kmod
419
+%ghost /sbin/insmod
420
+%ghost /sbin/lsmod
421
+%ghost /sbin/modinfo
422
+%ghost /sbin/rmmod
423
+
424
+# netcat
425
+%ghost /bin/netcat
426
+%ghost /usr/bin/nc
427
+
428
+# net-tools
429
+%ghost /bin/hostname
430
+%ghost /bin/netstat
431
+%ghost /sbin/ifconfig
432
+
433
+# parted
434
+%ghost /sbin/partprobe
435
+
436
+# patch
437
+%ghost /usr/bin/patch
438
+
439
+# pciutils
440
+%ghost /usr/bin/lspci
441
+
442
+# procps-ng
443
+%ghost /bin/pidof
444
+%ghost /bin/ps
445
+%ghost /bin/vmstat
446
+%ghost /sbin/sysctl
447
+%ghost /usr/bin/free
448
+%ghost /usr/bin/pgrep
449
+%ghost /usr/bin/pkill
450
+%ghost /usr/bin/pmap
451
+%ghost /usr/bin/pwdx
452
+%ghost /usr/bin/top
453
+%ghost /usr/bin/uptime
454
+%ghost /usr/bin/w
455
+
456
+# psmisc
457
+%ghost /usr/bin/killall
458
+
459
+# sed
460
+%ghost /bin/sed
461
+
462
+# shadow-tools
463
+%ghost /bin/login
464
+%ghost /bin/su
465
+%ghost /usr/bin/passwd
466
+
467
+# tar
468
+%ghost /usr/bin/tar
469
+
470
+# usbutils
471
+%ghost /usr/bin/lsusb
472
+
473
+# util-linux
474
+%ghost /bin/blkid
475
+%ghost /bin/dmesg
476
+%ghost /bin/kill
477
+%ghost /bin/mount
478
+%ghost /bin/mountpoint
479
+%ghost /bin/umount
480
+%ghost /sbin/blockdev
481
+%ghost /sbin/hwclock
482
+%ghost /sbin/losetup
483
+%ghost /sbin/mkswap
484
+%ghost /sbin/pivot_root
485
+%ghost /sbin/swapoff
486
+%ghost /sbin/swapon
487
+%ghost /sbin/switch_root
488
+%ghost /usr/bin/cal
489
+%ghost /usr/bin/eject
490
+%ghost /usr/bin/fallocate
491
+%ghost /usr/bin/flock
492
+%ghost /usr/bin/ionice
493
+%ghost /usr/bin/renice
494
+%ghost /usr/bin/rev
495
+%ghost /usr/bin/setsid
496
+%ghost /usr/bin/taskset
497
+%ghost /usr/sbin/fsfreeze
498
+%ghost /usr/sbin/rfkill
499
+
500
+# vim-extra
501
+%ghost /usr/bin/xxd
502
+
503
+# which
504
+%ghost /usr/bin/which
505
+
506
+# Non conflicting toybox toys
507
+/bin/dos2unix
508
+/bin/fstype
509
+/bin/fsync
510
+/bin/help
511
+/bin/readahead
512
+/bin/unix2dos
513
+/sbin/freeramdisk
514
+/sbin/killall5
515
+/sbin/oneit
516
+/sbin/vconfig
517
+/usr/bin/acpi
518
+/usr/bin/catv
519
+/usr/bin/count
520
+/usr/bin/ftpget
521
+/usr/bin/ftpput
522
+/usr/bin/hexedit
523
+/usr/bin/inotifyd
524
+/usr/bin/iorenice
525
+/usr/bin/makedevs
526
+/usr/bin/microcom
527
+/usr/bin/mix
528
+/usr/bin/nbd-client
529
+/usr/bin/time
530
+/usr/bin/tunctl
531
+/usr/bin/uudecode
532
+/usr/bin/uuencode
51 533
 
52 534
 %changelog
535
+*   Wed Apr 15 2020 Alexey Makhalov <amakhalov@vmware.com> 0.8.2-2
536
+-   Avoid conflicts with other packages by not packaging (%ghost-ing) symlinks
537
+-   Use system zlib as it is installed by tdnf
538
+-   Added gzip, iputils, kmod, tar toys
53 539
 *   Wed Oct 30 2019 Alexey Makhalov <amakhalov@vmware.com> 0.8.2-1
54 540
 -   Version update. Use system libcrypto.
55 541
 *   Mon Oct 01 2018 Alexey Makhalov <amakhalov@vmware.com> 0.7.7-1
56 542
 -   Version update
57
-*   Mon Oct 01 2017 Alexey Makhalov <amakhalov@vmware.com> 0.7.3-6
543
+*   Mon Oct 02 2017 Alexey Makhalov <amakhalov@vmware.com> 0.7.3-6
58 544
 -   remove strings and usleep to avoid conflict with binutils and initscripts
59 545
 *   Mon Sep 25 2017 Alexey Makhalov <amakhalov@vmware.com> 0.7.3-5
60 546
 -   Move sed to /bin
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:        Utilities for file systems, consoles, partitions, and messages
2 2
 Name:           util-linux
3 3
 Version:        2.32
4
-Release:        2%{?dist}
4
+Release:        3%{?dist}
5 5
 URL:            http://www.kernel.org/pub/linux/utils/util-linux
6 6
 License:        GPLv2+
7 7
 Group:          Applications/System
... ...
@@ -14,7 +14,7 @@ BuildRequires:  ncurses-devel
14 14
 BuildRequires:  ncurses-terminfo
15 15
 %endif
16 16
 Requires: %{name}-libs = %{version}-%{release}
17
-Conflicts:      toybox
17
+Conflicts:      toybox < 0.8.2-2
18 18
 %description
19 19
 Utilities for handling file systems, consoles, partitions,
20 20
 and messages.
... ...
@@ -96,6 +96,8 @@ rm -rf %{buildroot}/lib/systemd/system
96 96
 %{_mandir}/man3/*
97 97
 
98 98
 %changelog
99
+*   Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 2.32-3
100
+-   Do not conflict with toybox >= 0.8.2-2
99 101
 *   Fri Nov 09 2018 Alexey Makhalov <amakhalov@vmware.com> 2.32-2
100 102
 -   Cross compilation support
101 103
 *   Mon Apr 09 2018 Xiaolin Li <xiaolinl@vmware.com> 2.32-1
... ...
@@ -3,7 +3,7 @@
3 3
 Summary:        Text editor
4 4
 Name:           vim
5 5
 Version:        8.1.0388
6
-Release:        4%{?dist}
6
+Release:        5%{?dist}
7 7
 License:        Charityware
8 8
 URL:            http://www.vim.org
9 9
 Group:          Applications/Editors
... ...
@@ -20,7 +20,7 @@ The Vim package contains a powerful text editor.
20 20
 Summary:    Extra files for Vim text editor
21 21
 Group:      Applications/Editors
22 22
 Requires:   tcsh
23
-Conflicts:  toybox
23
+Conflicts:  toybox < 0.8.2-2
24 24
 
25 25
 %description extra
26 26
 The vim extra package contains a extra files for powerful text editor.
... ...
@@ -186,6 +186,8 @@ fi
186 186
 %{_bindir}/vimdiff
187 187
 
188 188
 %changelog
189
+*   Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 8.1.0388-5
190
+-   Do not conflict with toybox >= 0.8.2-2
189 191
 *   Thu Feb 20 2020 Prashant Singh Chauhan <psinghchauha@vmware.com> 8.1.0388-4
190 192
 -   Fix make check failure
191 193
 *   Tue Jan 29 2019 Dweep Advani <dadvani@vmware.com> 8.1.0388-3
... ...
@@ -1,7 +1,7 @@
1 1
 Summary:	Program shows full path of (shell) commands
2 2
 Name:		which
3 3
 Version:	2.21
4
-Release:	5%{?dist}
4
+Release:	6%{?dist}
5 5
 License:	GPLv3+
6 6
 URL:		http://savannah.gnu.org/projects/which
7 7
 Source0:	http://ftp.gnu.org/gnu/which/%{name}-%{version}.tar.gz
... ...
@@ -9,7 +9,7 @@ Source0:	http://ftp.gnu.org/gnu/which/%{name}-%{version}.tar.gz
9 9
 Group:		Development/Tools
10 10
 Vendor:		VMware, Inc.
11 11
 Distribution: Photon
12
-Conflicts:      toybox
12
+Conflicts:      toybox < 0.8.2-2
13 13
 %description
14 14
 Program for showing the full the path of (shell) commands.
15 15
 %prep
... ...
@@ -25,6 +25,8 @@ rm -rf %{buildroot}%{_infodir}
25 25
 %{_bindir}/*
26 26
 %{_mandir}/man1/*
27 27
 %changelog
28
+* Thu Apr 16 2020 Alexey Makhalov <amakhalov@vmware.com> 2.21-6
29
+- Do not conflict with toybox >= 0.8.2-2
28 30
 * Thu Oct 19 2017 Alexey Makhalov <amakhalov@vmware.com> 2.21-5
29 31
 - Remove infodir
30 32
 - Use standard configure/build macros